Subject: [bfcpbis] Review of draft-ietf-bfcpbis-bfcp-websocket-04

From: Christer Holmberg <[email-masked]>
Date: Thu, 2 Jul 2015 18:12:49 +0000

Hi,

Below is my review of draft-ietf-bfcpbis-bfcp-websocket-04.

In general, things look good, and my comments should be mostly editorial. Also, my previous comments on the draft have been addressed. Thanks for that!

Q1: There are a few abbreviations (TLS, HTTP etc) that are not expanded on first occurrence. I didn't check whether they are considered well known abbreviations, but it would be good to double check.

Q2: I think the last paragraph of section 1, talking about not preventing other mechanisms, can be removed completely.

(I think I previously had the same comment on the draft - or maybe it was another WebSocket sub-protocol draft)

Q3: Section one says "since WebSocket is a reliable transport". Perhaps "provides a reliable transport" would be better?

Q4: Section 5 says "WebSocket [RFC6455] is a reliable protocol". I don't know what "reliable protocol" means, but I assume this text should also talk about providing reliable transport.

Q5: In section 6.1, there should be a reference for the 'setup' attribute. Also, when talking about SDP attributes, I'd suggest to explicitly say "SDP setup attribute", or something similar.

Q6: The introduction says that the draft updates rfc4582bis and rfc4583bis. I think it would be good to have two explicit "Updates to RFCXXXX" sections to list exactly what those updates are.

Q7: Just to check: are the new SDP m- line proto values aligned with the naming approach that has taken place in MMUSIC?

Regards,

Christer